public static interface DockerEndpointBuilderFactory.DockerBuilders
| Modifier and Type | Method and Description |
|---|---|
default DockerEndpointBuilderFactory.DockerEndpointBuilder |
docker(String path)
Docker (camel-docker)
Manage Docker containers.
|
default DockerEndpointBuilderFactory.DockerEndpointBuilder |
docker(String componentName,
String path)
Docker (camel-docker)
Manage Docker containers.
|
default DockerEndpointBuilderFactory.DockerEndpointBuilder docker(String path)
docker:operation
Path parameter: operation (required)
Which operation to use
The value can be one of: events, stats, auth, info, ping, version,
imagebuild, imagecreate, imageinspect, imagelist, imagepull,
imagepushimageremove, imagesearch, imagetag, containerattach,
containercommit, containercopyfile, containercreate,
containerdiffinspectcontainer, containerkill, containerlist,
containerlog, containerpause, containerrestart, containerremove,
containerstartcontainerstop, containertop, containerunpause,
containerwait, execcreate, execstartpath - operationdefault DockerEndpointBuilderFactory.DockerEndpointBuilder docker(String componentName, String path)
docker:operation
Path parameter: operation (required)
Which operation to use
The value can be one of: events, stats, auth, info, ping, version,
imagebuild, imagecreate, imageinspect, imagelist, imagepull,
imagepushimageremove, imagesearch, imagetag, containerattach,
containercommit, containercopyfile, containercreate,
containerdiffinspectcontainer, containerkill, containerlist,
containerlog, containerpause, containerrestart, containerremove,
containerstartcontainerstop, containertop, containerunpause,
containerwait, execcreate, execstartcomponentName - to use a custom component name for the endpoint
instead of the default namepath - operationApache Camel